summaryrefslogtreecommitdiff
path: root/abuild.in
diff options
context:
space:
mode:
Diffstat (limited to 'abuild.in')
-rw-r--r--abuild.in12
1 files changed, 6 insertions, 6 deletions
diff --git a/abuild.in b/abuild.in
index ad14eb9..57610e1 100644
--- a/abuild.in
+++ b/abuild.in
@@ -8,16 +8,16 @@
#
program_version=@VERSION@
-datadir=@datadir@
+sharedir=@sharedir@
abuild_path=$(readlink -f $0)
git=$(command -v git) || git=true
-if ! [ -f "$datadir/functions.sh" ]; then
- echo "$datadir/functions.sh: not found" >&2
+if ! [ -f "$sharedir/functions.sh" ]; then
+ echo "$sharedir/functions.sh: not found" >&2
exit 1
fi
-. "$datadir/functions.sh"
+. "$sharedir/functions.sh"
# defaults
: ${FAKEROOT:="fakeroot"}
@@ -608,7 +608,7 @@ update_config_sub() {
find . -name config.sub | (local changed=false; while read f; do
if ! ./$f armv6-alpine-linux-muslgnueabihf 2>/dev/null; then
msg "Updating $f"
- cp "$datadir"/${f##*/} "$f" || return 1
+ cp "$sharedir"/${f##*/} "$f" || return 1
changed=true
else
msg "No update needed for $f"
@@ -623,7 +623,7 @@ update_config_guess() {
msg "No update needed for $f"
else
msg "Updating $f"
- cp "$datadir"/${f##*/} "$f" || return 1
+ cp "$sharedir"/${f##*/} "$f" || return 1
changed=true
fi
done; $changed)